vprocss: XVprocSs Struct Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XVprocSs Struct Reference

The XVprocSs driver instance data. More...

## Data Fields
XVprocSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
       Device and the driver instance are
initialized More...
XAxis_Switch * | RouterPtr
| handle to sub-core driver instance More...
XGpio * | RstAxisPtr
| handle to sub-core driver instance More...
XGpio * | RstAximmPtr
| handle to sub-core driver instance More...
XV_Hcresampler_l2 * | HcrsmplrPtr
| handle to sub-core driver instance More...
XV_Vcresampler_l2 * | VcrsmplrInPtr
| handle to sub-core driver instance More...
XV_Vcresampler_l2 * | VcrsmplrOutPtr
| handle to sub-core driver instance More...
XV_Vscaler_l2 * | VscalerPtr
| handle to sub-core driver instance More...
XV_Hscaler_l2 * | HscalerPtr
| handle to sub-core driver instance More...
XAxiVdma * | VdmaPtr
| handle to sub-core driver instance More...
XV_Lbox_l2 * | LboxPtr
| handle to sub-core driver instance More...
XV_Csc_l2 * | CscPtr
| handle to sub-core driver instance More...
XV_Deint_l2 * | DeintPtr
| handle to sub-core driver instance More...
XVidC_VideoStream | VidIn
| Input AXIS configuration. More...
XVidC_VideoStream | VidOut
| Output AXIS configuration. More...
XVprocSs_ContextData | CtxtData
| Internal Scratch pad memory for subsystem instance. More...
UINTPTR | FrameBufBaseaddr
| Base address for frame buffer storage. More...
XVidC_DelayHandler | UsrDelayUs
| custom user function for delay/sleep More...
void * | UsrTmrPtr
| handle to timer instance used by user delay function More...
XVprocSs_Log | Log
| A log of events. More...

## Detailed Description

The XVprocSs driver instance data.

The user is required to allocate a variable of this type for every XVprocSs device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XVprocSs_Config XVprocSs::Config

Hardware configuration.

Referenced by XSys_SetStreamParam(), XVprocSs_CfgInitialize(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetZoomPipWindow(), XVprocSs_SubcoreInitCsc(), XVprocSs_SubcoreInitDeinterlacer(), XVprocSs_SubcoreInitHCrsmplr(), XVprocSs_SubcoreInitHScaler(), XVprocSs_SubcoreInitLetterbox(), XVprocSs_SubcoreInitResetAximm(), XVprocSs_SubcoreInitResetAxis(), XVprocSs_SubcoreInitRouter(), XVprocSs_SubcoreInitVCrsmpleIn(), XVprocSs_SubcoreInitVCrsmpleOut(), XVprocSs_SubcoreInitVdma(), and XVprocSs_SubcoreInitVScaler().

XV_Csc_l2* XVprocSs::CscPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_GetPictureBrightness(), XVprocSs_GetPictureColorRange(), XVprocSs_GetPictureColorStdIn(), XVprocSs_GetPictureColorStdOut(), XVprocSs_GetPictureContrast(), XVprocSs_GetPictureGain(), XVprocSs_GetPictureSaturation(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetPictureBrightness(), XVprocSs_SetPictureColorRange(), XVprocSs_SetPictureColorStdIn(), XVprocSs_SetPictureColorStdOut(), XVprocSs_SetPictureContrast(), XVprocSs_SetPictureDemoWindow(), XVprocSs_SetPictureGain(), XVprocSs_SetPictureSaturation(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitCsc().

XVprocSs_ContextData XVprocSs::CtxtData

Internal Scratch pad memory for subsystem instance.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_CfgInitialize(), XVprocSs_GetZoomPipWindow(), XVprocSs_ProgRouterMux(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemConfig(), XVprocSs_Reset(), XVprocSs_SetPIPBackgroundColor(), XVprocSs_SetPipMode(), XVprocSs_SetupRouterDataFlow(), XVprocSs_SetZoomMode(), XVprocSs_SetZoomPipWindow(), XVprocSs_Start(), XVprocSs_UpdateZoomPipWindow(), XVprocSs_VdmaSetWinToDnScaleMode(), and XVprocSs_VdmaSetWinToUpScaleMode().

XV_Deint_l2* XVprocSs::DeintPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitDeinterlacer().

UINTPTR XVprocSs::FrameBufBaseaddr

Base address for frame buffer storage.

Referenced by XVprocSs_CfgInitialize(), XVprocSs_SetFrameBufBaseaddr(), XVprocSs_VdmaSetWinToDnScaleMode(), and XVprocSs_VdmaSetWinToUpScaleMode().

XV_Hcresampler_l2* XVprocSs::HcrsmplrPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_LoadChromaResamplerCoeff(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitHCrsmplr().

XV_Hscaler_l2* XVprocSs::HscalerPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_LoadScalerCoeff(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitHScaler().

u32 XVprocSs::IsReady

       Device and the driver instance are

initialized

Referenced by XVprocSs_CfgInitialize().

XV_Lbox_l2* XVprocSs::LboxPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetPIPBackgroundColor(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), XVprocSs_SubcoreInitLetterbox(), and XVprocSs_UpdateZoomPipWindow().

XVprocSs_Log XVprocSs::Log

A log of events.

Referenced by XVprocSs_LogRead(), XVprocSs_LogReset(), and XVprocSs_LogWrite().

XAxis_Switch* XVprocSs::RouterPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_ProgRouterMux(), XVprocSs_ReportSubsystemCoreInfo(), and XVprocSs_SubcoreInitRouter().

XGpio* XVprocSs::RstAximmPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_Reset(), and XVprocSs_SubcoreInitResetAximm().

XGpio* XVprocSs::RstAxisPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_Reset(), XVprocSs_Start(), and XVprocSs_SubcoreInitResetAxis().

XVidC_DelayHandler XVprocSs::UsrDelayUs

custom user function for delay/sleep

Referenced by XVprocSs_SetUserTimerHandler().

void* XVprocSs::UsrTmrPtr

handle to timer instance used by user delay function

Referenced by XVprocSs_SetUserTimerHandler().

XV_Vcresampler_l2* XVprocSs::VcrsmplrInPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_LoadChromaResamplerCoeff(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitVCrsmpleIn().

XV_Vcresampler_l2* XVprocSs::VcrsmplrOutPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_LoadChromaResamplerCoeff(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitVCrsmpleOut().

XAxiVdma* XVprocSs::VdmaPtr

handle to sub-core driver instance

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_CfgInitialize(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_SetZoomPipWindow(), XVprocSs_Stop(), XVprocSs_SubcoreInitVdma(), XVprocSs_VdmaDbgReportStatus(), XVprocSs_VdmaReadSetup(), XVprocSs_VdmaReset(), XVprocSs_VdmaStart(), XVprocSs_VdmaStartTransfer(), XVprocSs_VdmaStop(), and XVprocSs_VdmaWriteSetup().

XVidC_VideoStream XVprocSs::VidIn

Input AXIS configuration.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_ReportSubsystemConfig(), XVprocSs_SetPIPBackgroundColor(), XVprocSs_SetupRouterDataFlow(), and XVprocSs_SetVidStreamIn().

XVidC_VideoStream XVprocSs::VidOut

Output AXIS configuration.

Referenced by XVprocSs_BuildRoutingTable(), XVprocSs_ReportSubsystemConfig(), XVprocSs_SetupRouterDataFlow(), XVprocSs_SetVidStreamOut(), XVprocSs_UpdateZoomPipWindow(), and XVprocSs_VdmaSetWinToDnScaleMode().

XV_Vscaler_l2* XVprocSs::VscalerPtr

handle to sub-core driver instance

Referenced by XVprocSs_CfgInitialize(), XVprocSs_LoadScalerCoeff(), XVprocSs_ReportSubcoreStatus(), XVprocSs_ReportSubsystemCoreInfo(), XVprocSs_SetupRouterDataFlow(), XVprocSs_Start(), XVprocSs_Stop(), and XVprocSs_SubcoreInitVScaler().